Welcome, Guest. Please login or register.
April 20, 2014, 00:10:49 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  General
| |-+  Wish list
| | |-+  GoogleEarth for Pardus 2011
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: GoogleEarth for Pardus 2011  (Read 2953 times)
andyb
Pardus fellow craft
**
Posts: 88


View Profile
« on: January 26, 2011, 20:06:40 PM »

I've spent a while trying to install using the method in the wiki (installing a googleearthlinux.bin) but couldn't manage to make it work.

No hurry, but I do use it for work quite a bit!

Many thanks
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #1 on: January 27, 2011, 14:06:16 PM »

To keep you informed:
At this moment I have
Quote
Google Earth 6.0.1.2032 (beta)
running in Pardus i686.
(made from the 32 bit .rpm package + a symlink "sudo ln -sv /lib/ld-linux.so.2 /lib/ld-lsb.so.3")
Now I will try to get it installed in Pardus x86_64.........
When Google Earth depends on wine, there is a problem (or we have to be patient) in x86_64.
And update the Wiki after this.
« Last Edit: January 27, 2011, 14:09:40 PM by atolboo » Logged
andyb
Pardus fellow craft
**
Posts: 88


View Profile
« Reply #2 on: January 27, 2011, 15:17:19 PM »

Thanks for the update, atolboo!
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #3 on: March 15, 2011, 17:50:15 PM »

I am now on the 64-bit version for P2011 and until this moment it's
On my testcomputer I have a triple boot: P2011-32, P2011-64 and suse11.4-64
When I started I got:
Quote
atolboo@pardus2011 ~ $ googleearth %f
./googleearth-bin: error while loading shared libraries: libfontconfig.so.1: cannot open shared object file: No such file or directory
And after some modifications I get:
Quote
atolboo@pardus2011 ~ $ googleearth
./googleearth-bin: error while loading shared libraries: libfontconfig.so.1: wrong ELF class: ELFCLASS64
and
Quote
atolboo@pardus2011 ~ $ google-earth
./googleearth-bin: error while loading shared libraries: libfontconfig.so.1: wrong ELF class: ELFCLASS64
The "googleearth" is made from the downloaded file GE6.bin
The "google-earth" is made from the downloaded file GE6-64.rpm
Anybody any idea/suggestion how to solve this "wrong ELF class: ELFCLASS64
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #4 on: March 15, 2011, 21:30:53 PM »

And after some modifications I get:
Quote
atolboo@pardus2011 ~ $ googleearth
./googleearth-bin: error while loading shared libraries: libfontconfig.so.1: wrong ELF class: ELFCLASS64
Problems with libfontconfig is solved Grin
And now I get : can not find libfreetype.so.6" Undecided
But now I know how to solve the problem, maybe the next one is a little bit easier.............
« Last Edit: March 16, 2011, 21:06:57 PM by atolboo » Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #5 on: March 15, 2011, 21:57:39 PM »

And now I get : can not find libfreetype.so.6" Undecided
Solved.
The next one is: can not find libX11.so.6 Lips Sealed
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #6 on: March 16, 2011, 21:26:45 PM »

By copying the missing files from /usr/lib/ of P2011-i686 > /usr/lib32/ of P2011-x86_64 I could solve the "missing file and wrong ELF class" problem for:
Code:
libfontconfig.so.1
libfreetype.so.6
libX11.so.6
libXrender.so.1
libXext.so.6
This /usr/lib32/ and I have to copy them from P2011-i686 shows that GE is a 32-bit program.
Now I get :
Quote
atolboo@pardus2011 ~ $ googleearth %f
./googleearth-bin: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
And after copying libGL.so.1 from P2011-i686 I get this "wrong ELF class: ELFCLASS64" error.
I don't understand this as the file is taken from a 32-bit OS
At this moment I am out of options/ideas
« Last Edit: March 16, 2011, 21:32:34 PM by atolboo » Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #7 on: March 20, 2011, 12:05:54 PM »

Progress report.......
After 4 days of    I managed to solve the "libGL.so.1" mystery.
The next one is libz.so.1   .
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #8 on: March 20, 2011, 14:56:06 PM »

And finally it's ............................ 

Have a look bellow.
And now it's time to  the build files and some more


* GE6-x86_64.png (722.89 KB, 998x667 - viewed 157 times.)
Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #9 on: March 20, 2011, 16:52:41 PM »

respect for your great endurance put in all your effort
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #10 on: March 20, 2011, 21:29:45 PM »

GE6-x86_64 now tested on the following video cards with  result:
nVidia - GeForce 210/PCI/SSE2
nVidia - GeForce NX6200AX-TD256H
Ati - RV280 Radeon 9250 Pro (with DVI output)
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #11 on: March 20, 2011, 23:53:59 PM »

GoogleEarth-6.0.1.2032 for x86_64 can now be installed from this >2. Additional (non-official) package source<
The i686 version was already available.
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!